Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 369703002: Remember user decisions on invalid certificates behind a flag (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 10 months ago by jww
Modified:
1 year, 7 months ago
CC:
chromium-reviews, dbeam+watch-options_chromium.org, asanka, benjhayden+dwatch_chromium.org, jam, darin-cc_chromium.org, radhikabhar, willchan no longer on Chromium
Project:
chromium
Visibility:
Public.

Description

Remember user decisions on invalid certificates behind a flag Currently if a user clicks thorough an invalid certificate, the decision is remembered for the rest of the session, but after session restart, the decision is forgotten. This implements a flag that remembers the decision for a specified length of time across session restarts. Users can specific in the flag how long decisions should be remembered, or they can specify that it should still be reset on restart. BUG=262615 NOTRY=true Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=287118

Patch Set 1 #

Total comments: 25

Patch Set 2 : Fixes from felt plus new incognito browser tests #

Total comments: 71

Patch Set 3 : More changes from felt #

Total comments: 4

Patch Set 4 : Changes from sleevi #

Patch Set 5 : Eliminated ref counting #

Patch Set 6 : Fixed ContentShell compile error #

Patch Set 7 : More fixes from sleevi plus a rebase on ToT #

Total comments: 42

Patch Set 8 : More fixes from sleevi #

Patch Set 9 : Addressed use of GURLs in chrome_ssl_host_decisions.h API #

Patch Set 10 : Rebase on ToT #

Patch Set 11 : Rebase on ToT (to get SHA256 fingerprint) #

Patch Set 12 : Changed SHA1 fingerprint to SHA256 #

Patch Set 13 : Updated with experimental groups #

Total comments: 21

Patch Set 14 : Nits from sleevi #

Total comments: 2

Patch Set 15 : Allow NULL SSLHostState #

Patch Set 16 : Rebase on ToT #

Patch Set 17 : Rebase on ToT for reals #

Patch Set 18 : Fixed several bot compile errors #

Total comments: 9

Patch Set 19 : Address some of jam's nits #

Patch Set 20 : Fixed broken browser tests and unittests #

Patch Set 21 : Changed SSLHostStateDecisions to SSLHostStateDelegate #

Patch Set 22 : Changed ssl_host_state.h back to using hosts instead of GURLs #

Patch Set 23 : Rebase on ToT #

Patch Set 24 : Fixed broken include #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+1321 lines, -229 lines) Patch
M android_webview/browser/aw_browser_context.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +2 lines, -0 lines 0 comments Download
M android_webview/browser/aw_browser_context.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +5 lines, -0 lines 0 comments Download
M chrome/app/generated_resources.grd View 2 chunks +24 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +31 lines, -0 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_remover.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/browser/content_settings/content_settings_default_provider.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/content_settings/content_settings_policy_provider.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/content_settings/content_settings_utils.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/content_settings/host_content_settings_map.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +7 lines, -4 lines 0 comments Download
M chrome/browser/profiles/off_the_record_profile_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/profiles/off_the_record_profile_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 4 chunks +9 lines, -3 lines 0 comments Download
M chrome/browser/profiles/profile_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/profiles/profile_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +6 lines, -0 lines 0 comments Download
A chrome/browser/ssl/chrome_ssl_host_state_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +106 lines, -0 lines 0 comments Download
A chrome/browser/ssl/chrome_ssl_host_state_delegate.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +377 lines, -0 lines 0 comments Download
A chrome/browser/ssl/chrome_ssl_host_state_delegate_factory.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +42 lines, -0 lines 0 comments Download
A chrome/browser/ssl/chrome_ssl_host_state_delegate_factory.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +68 lines, -0 lines 0 comments Download
A chrome/browser/ssl/chrome_ssl_host_state_delegate_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +450 lines, -0 lines 0 comments Download
M chrome/browser/ui/app_list/test/fake_profile.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/app_list/test/fake_profile.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/content_settings/content_setting_bubble_cocoa.mm View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/content_settings/content_setting_bubble_cocoa_unittest.mm View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/options/content_settings_handler.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 3 chunks +7 lines, -0 lines 0 comments Download
M chrome/chrome_browser.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/common/pref_names.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/pref_names.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/test/base/testing_profile.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/test/base/testing_profile.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +4 lines, -0 lines 0 comments Download
M components/content_settings/core/common/content_settings_types.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/download/download_manager_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/ssl/ssl_host_state.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 4 chunks +17 lines, -7 lines 0 comments Download
M content/browser/ssl/ssl_host_state.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 5 chunks +53 lines, -6 lines 2 comments Download
D content/browser/ssl/ssl_host_state_unittest.cc View 1 chunk +0 lines, -203 lines 0 comments Download
M content/browser/ssl/ssl_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +4 lines, -4 lines 0 comments Download
M content/content_browser.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -0 lines 0 comments Download
M content/content_tests.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +0 lines, -1 line 0 comments Download
M content/public/browser/browser_context.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +5 lines, -0 lines 0 comments Download
A content/public/browser/ssl_host_state_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +52 lines, -0 lines 0 comments Download
M content/public/test/test_browser_context.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -0 lines 0 comments Download
M content/public/test/test_browser_context.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +4 lines, -0 lines 0 comments Download
M content/shell/browser/shell_browser_context.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -0 lines 0 comments Download
M content/shell/browser/shell_browser_context.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +4 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 53 (1 generated)
jww
This is the implementation of invalid certificate memory being time based, but put behind a ...
2 years, 10 months ago (2014-07-03 05:25:34 UTC) #1
felt
https://codereview.chromium.org/369703002/diff/1/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/369703002/diff/1/chrome/app/generated_resources.grd#newcode14360 chrome/app/generated_resources.grd:14360: + Remeber for three days *Remember https://codereview.chromium.org/369703002/diff/1/chrome/app/generated_resources.grd#newcode14541 chrome/app/generated_resources.grd:14541: + ...
2 years, 10 months ago (2014-07-07 22:26:39 UTC) #2
jww
https://codereview.chromium.org/369703002/diff/1/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/369703002/diff/1/chrome/app/generated_resources.grd#newcode14360 chrome/app/generated_resources.grd:14360: + Remeber for three days On 2014/07/07 22:26:38, felt ...
2 years, 10 months ago (2014-07-08 17:35:42 UTC) #3
felt
https://codereview.chromium.org/369703002/diff/1/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/369703002/diff/1/chrome/browser/about_flags.cc#newcode499 chrome/browser/about_flags.cc:499: switches::kRememberCertErrorDecisions, On 2014/07/08 17:35:41, jww wrote: > On 2014/07/07 ...
2 years, 10 months ago (2014-07-08 17:52:48 UTC) #4
felt
https://codereview.chromium.org/369703002/diff/1/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/369703002/diff/1/chrome/browser/about_flags.cc#newcode499 chrome/browser/about_flags.cc:499: switches::kRememberCertErrorDecisions, On 2014/07/08 17:35:41, jww wrote: > On 2014/07/07 ...
2 years, 10 months ago (2014-07-08 17:52:49 UTC) #5
jww
https://codereview.chromium.org/369703002/diff/1/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/369703002/diff/1/chrome/browser/about_flags.cc#newcode499 chrome/browser/about_flags.cc:499: switches::kRememberCertErrorDecisions, On 2014/07/08 17:52:48, felt wrote: > On 2014/07/08 ...
2 years, 10 months ago (2014-07-08 23:49:01 UTC) #6
Ryan Sleevi
https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions.cc File chrome/browser/ssl/chrome_ssl_host_state_decisions.cc (right): https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions.cc#newcode24 chrome/browser/ssl/chrome_ssl_host_state_decisions.cc:24: }; Duplicate definition as the .cc. What's up with ...
2 years, 10 months ago (2014-07-08 23:53:29 UTC) #7
jww
Thanks for the great comments. I should have also mentioned that I'm planning on submitting ...
2 years, 10 months ago (2014-07-11 00:08:42 UTC) #8
Ryan Sleevi
https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc File chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc (right): https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc#newcode132 chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc:132: content::SSLHostStateDecisions* state = profile->GetSSLHostStateDecisions(); On 2014/07/11 00:08:41, jww wrote: ...
2 years, 10 months ago (2014-07-11 00:48:49 UTC) #9
jww
https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc File chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc (right): https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc#newcode132 chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc:132: content::SSLHostStateDecisions* state = profile->GetSSLHostStateDecisions(); On 2014/07/11 00:48:49, Ryan Sleevi ...
2 years, 10 months ago (2014-07-11 01:52:07 UTC) #10
Ryan Sleevi
https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc File chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc (right): https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc#newcode132 chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc:132: content::SSLHostStateDecisions* state = profile->GetSSLHostStateDecisions(); On 2014/07/11 01:52:07, jww wrote: ...
2 years, 10 months ago (2014-07-11 19:43:27 UTC) #11
jww
https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc File chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc (right): https://codereview.chromium.org/369703002/diff/20001/chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc#newcode132 chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc:132: content::SSLHostStateDecisions* state = profile->GetSSLHostStateDecisions(); On 2014/07/11 19:43:27, Ryan Sleevi ...
2 years, 10 months ago (2014-07-14 21:21:16 UTC) #12
Ryan Sleevi
In future CLs (though I doubt i'll see many), it's generally helpful to avoid rebasing+fixing ...
2 years, 10 months ago (2014-07-14 21:30:02 UTC) #13
jww
Whoops, fair enough. My bad. On Mon, Jul 14, 2014 at 2:30 PM, <rsleevi@chromium.org> wrote: ...
2 years, 10 months ago (2014-07-14 21:31:22 UTC) #14
radhikabhar
The CQ bit was checked by radhikabhar@chromium.org
2 years, 10 months ago (2014-07-17 18:59:11 UTC) #15
radhikabhar
The CQ bit was unchecked by radhikabhar@chromium.org
2 years, 10 months ago (2014-07-17 18:59:11 UTC) #16
felt
On 2014/07/17 18:59:11, radhikabhar wrote: > The CQ bit was unchecked by mailto:radhikabhar@chromium.org radhika, please ...
2 years, 10 months ago (2014-07-17 22:10:28 UTC) #17
Ryan Sleevi
High level: Why is GURL appropriate here? The URL portion of the request is irrelevant. ...
2 years, 10 months ago (2014-07-17 23:19:36 UTC) #18
jww
https://codereview.chromium.org/369703002/diff/120001/android_webview/browser/aw_browser_context.cc File android_webview/browser/aw_browser_context.cc (right): https://codereview.chromium.org/369703002/diff/120001/android_webview/browser/aw_browser_context.cc#newcode279 android_webview/browser/aw_browser_context.cc:279: // this probably needs to change. On 2014/07/17 23:19:35, ...
2 years, 10 months ago (2014-07-21 23:39:34 UTC) #19
jww
On 2014/07/17 23:19:36, Ryan Sleevi wrote: > High level: Why is GURL appropriate here? The ...
2 years, 10 months ago (2014-07-21 23:58:59 UTC) #20
jww
rsleevi, I believe I've responded to all your comments (including rebasing on top of and ...
2 years, 10 months ago (2014-07-28 17:34:29 UTC) #21
jww
jam@, can you review the content and profile changes in this CL? This is the ...
2 years, 10 months ago (2014-07-30 00:56:38 UTC) #22
jww
torne@chromium.org: Please review changes in android_webview/ markusheintz@chromium.org: Please review changes in components/ Thanks!
2 years, 10 months ago (2014-07-30 19:58:06 UTC) #23
Ryan Sleevi
LGTM, mod copious nits. https://codereview.chromium.org/369703002/diff/240001/chrome/browser/chrome_content_browser_client.h File chrome/browser/chrome_content_browser_client.h (right): https://codereview.chromium.org/369703002/diff/240001/chrome/browser/chrome_content_browser_client.h#newcode359 chrome/browser/chrome_content_browser_client.h:359: friend class DisableWebRtcEncryptionFlagTest; Just like ...
2 years, 10 months ago (2014-07-31 00:31:28 UTC) #24
jww
https://codereview.chromium.org/369703002/diff/240001/chrome/browser/chrome_content_browser_client.h File chrome/browser/chrome_content_browser_client.h (right): https://codereview.chromium.org/369703002/diff/240001/chrome/browser/chrome_content_browser_client.h#newcode359 chrome/browser/chrome_content_browser_client.h:359: friend class DisableWebRtcEncryptionFlagTest; On 2014/07/31 00:31:28, Ryan Sleevi wrote: ...
2 years, 10 months ago (2014-07-31 05:57:00 UTC) #25
markusheintz_
On 2014/07/31 05:57:00, jww wrote: > https://codereview.chromium.org/369703002/diff/240001/chrome/browser/chrome_content_browser_client.h > File chrome/browser/chrome_content_browser_client.h (right): > > https://codereview.chromium.org/369703002/diff/240001/chrome/browser/chrome_content_browser_client.h#newcode359 > ...
2 years, 10 months ago (2014-07-31 08:34:19 UTC) #26
Torne
https://codereview.chromium.org/369703002/diff/260001/content/public/browser/browser_context.h File content/public/browser/browser_context.h (right): https://codereview.chromium.org/369703002/diff/260001/content/public/browser/browser_context.h#newcode155 content/public/browser/browser_context.h:155: // return NULL, except for testing contexts. You've written ...
2 years, 10 months ago (2014-07-31 09:40:16 UTC) #27
willchan no longer on Chromium
https://codereview.chromium.org/369703002/diff/240001/chrome/browser/ssl/chrome_ssl_host_state_decisions_factory.h File chrome/browser/ssl/chrome_ssl_host_state_decisions_factory.h (right): https://codereview.chromium.org/369703002/diff/240001/chrome/browser/ssl/chrome_ssl_host_state_decisions_factory.h#newcode30 chrome/browser/ssl/chrome_ssl_host_state_decisions_factory.h:30: // BrowserContextKeyedBaseFactor methods: On 2014/07/31 00:31:28, Ryan Sleevi wrote: ...
2 years, 9 months ago (2014-07-31 14:41:56 UTC) #28
jww
https://codereview.chromium.org/369703002/diff/260001/content/public/browser/browser_context.h File content/public/browser/browser_context.h (right): https://codereview.chromium.org/369703002/diff/260001/content/public/browser/browser_context.h#newcode155 content/public/browser/browser_context.h:155: // return NULL, except for testing contexts. On 2014/07/31 ...
2 years, 9 months ago (2014-07-31 18:08:57 UTC) #29
jam
apologies for the delay. i've looked at content only. feel free to email me directly ...
2 years, 9 months ago (2014-07-31 22:01:09 UTC) #30
jww
jam@, I haven't uploaded my new patch, and I'll wait to hear back on my ...
2 years, 9 months ago (2014-07-31 23:53:10 UTC) #31
jww
https://codereview.chromium.org/369703002/diff/340001/content/public/browser/ssl_host_state_decisions.h File content/public/browser/ssl_host_state_decisions.h (right): https://codereview.chromium.org/369703002/diff/340001/content/public/browser/ssl_host_state_decisions.h#newcode19 content/public/browser/ssl_host_state_decisions.h:19: class CONTENT_EXPORT SSLHostStateDecisions { On 2014/07/31 23:53:10, jww wrote: ...
2 years, 9 months ago (2014-08-01 00:21:35 UTC) #32
jww
On 2014/08/01 00:21:35, jww wrote: > https://codereview.chromium.org/369703002/diff/340001/content/public/browser/ssl_host_state_decisions.h > File content/public/browser/ssl_host_state_decisions.h (right): > > https://codereview.chromium.org/369703002/diff/340001/content/public/browser/ssl_host_state_decisions.h#newcode19 > ...
2 years, 9 months ago (2014-08-01 00:37:12 UTC) #33
jam
lgtm
2 years, 9 months ago (2014-08-01 03:15:13 UTC) #34
Torne
android_webview LGTM
2 years, 9 months ago (2014-08-01 10:02:35 UTC) #35
jww
The CQ bit was checked by jww@chromium.org
2 years, 9 months ago (2014-08-01 17:48:59 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jww@chromium.org/369703002/420001
2 years, 9 months ago (2014-08-01 17:52:50 UTC) #37
jww
The CQ bit was checked by jww@chromium.org
2 years, 9 months ago (2014-08-01 18:00:49 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jww@chromium.org/369703002/440001
2 years, 9 months ago (2014-08-01 18:01:40 UTC) #39
jww
The CQ bit was checked by jww@chromium.org
2 years, 9 months ago (2014-08-01 18:17:16 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jww@chromium.org/369703002/460001
2 years, 9 months ago (2014-08-01 18:18:41 UTC) #41
jww
The CQ bit was unchecked by jww@chromium.org
2 years, 9 months ago (2014-08-01 21:47:47 UTC) #42
jww
The CQ bit was checked by jww@chromium.org
2 years, 9 months ago (2014-08-01 21:47:47 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jww@chromium.org/369703002/460001
2 years, 9 months ago (2014-08-01 21:53:13 UTC) #44
jww
The CQ bit was unchecked by jww@chromium.org
2 years, 9 months ago (2014-08-01 23:15:46 UTC) #45
jww
The CQ bit was checked by jww@chromium.org
2 years, 9 months ago (2014-08-01 23:16:04 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jww@chromium.org/369703002/460001
2 years, 9 months ago (2014-08-01 23:19:15 UTC) #47
commit-bot: I haz the power
Change committed as 287118
2 years, 9 months ago (2014-08-01 23:23:50 UTC) #48
benm (inactive)
https://codereview.chromium.org/369703002/diff/460001/content/browser/ssl/ssl_host_state.cc File content/browser/ssl/ssl_host_state.cc (right): https://codereview.chromium.org/369703002/diff/460001/content/browser/ssl/ssl_host_state.cc#newcode25 content/browser/ssl/ssl_host_state.cc:25: if (context) should this check go up above? If ...
2 years, 5 months ago (2014-12-10 15:01:42 UTC) #50
jww
https://codereview.chromium.org/369703002/diff/460001/content/browser/ssl/ssl_host_state.cc File content/browser/ssl/ssl_host_state.cc (right): https://codereview.chromium.org/369703002/diff/460001/content/browser/ssl/ssl_host_state.cc#newcode25 content/browser/ssl/ssl_host_state.cc:25: if (context) On 2014/12/10 15:01:42, benm wrote: > should ...
2 years, 5 months ago (2014-12-10 23:20:06 UTC) #51
t.xheva_gmail.com
Any Idea where I can find the flag Remember decisions to proceed through SSL errors ...
1 year, 7 months ago (2015-10-16 08:20:32 UTC) #52
jww
1 year, 7 months ago (2015-10-16 22:38:36 UTC) #53
Message was sent while issue was closed.
On 2015/10/16 08:20:32, t.xheva_gmail.com wrote:
> Any Idea where I can find the flag Remember decisions to proceed through 
> SSL errors for a specified length of time? I cannot find in Crome Version 
> 46.0.2490.71 m.
> 
> 
> Thanks,
> 
> On Thursday, July 3, 2014 at 7:25:35 AM UTC+2, mailto:j...@chromium.org wrote:
> >
> > Reviewers: felt, Ryan Sleevi, 
> >
> > Message: 
> > This is the implementation of invalid certificate memory being time based, 
> >   
> > but 
> > put behind a flag. The experiment will come later, after we have the 
> > revoke 
> > button committed. felt@ and rsleevi, you seem like the most logical 
> > initial 
> > reviewers, so please let me know what you think. 
> >
> > Description: 
> > Remember user decisions on invalid certificates behind a flag 
> >
> > Currently if a user clicks thorough an invalid certificate, the decision 
> > is 
> > remembered for the rest of the session, but after session restart, the   
> > decision 
> > is forgotten. This implements a flag that remembers the decision for a   
> > specified 
> > length of time across session restarts. Users can specific in the flag how 
> >   
> > long 
> > decisions should be remembered, or they can specify that it should still 
> > be 
> > reset on restart. 
> >
> > BUG=262615 
> >
> > Please review this at https://codereview.chromium.org/369703002/ 
> >
> > SVN Base: svn://svn.chromium.org/chrome/trunk/src 
> >
> > Affected files (+1078, -238 lines): 
> >    M chrome/app/generated_resources.grd 
> >    M chrome/browser/about_flags.cc 
> >    M chrome/browser/browsing_data/browsing_data_remover.cc 
> >    M chrome/browser/content_settings/content_settings_default_provider.cc 
> >    M chrome/browser/content_settings/content_settings_policy_provider.cc 
> >    M chrome/browser/content_settings/content_settings_utils.cc 
> >    M chrome/browser/content_settings/host_content_settings_map.cc 
> >    M chrome/browser/profiles/off_the_record_profile_impl.h 
> >    M chrome/browser/profiles/off_the_record_profile_impl.cc 
> >    M chrome/browser/profiles/profile_impl.h 
> >    M chrome/browser/profiles/profile_impl.cc 
> >    A chrome/browser/ssl/chrome_ssl_host_state_decisions.h 
> >    A chrome/browser/ssl/chrome_ssl_host_state_decisions.cc 
> >    A chrome/browser/ssl/chrome_ssl_host_state_decisions_factory.h 
> >    A chrome/browser/ssl/chrome_ssl_host_state_decisions_factory.cc 
> >    A chrome/browser/ssl/chrome_ssl_host_state_decisions_test.h 
> >    A chrome/browser/ssl/chrome_ssl_host_state_decisions_test.cc 
> >    M chrome/browser/ui/webui/options/content_settings_handler.cc 
> >    M chrome/chrome_browser.gypi 
> >    M chrome/chrome_tests.gypi 
> >    M chrome/common/chrome_switches.h 
> >    M chrome/common/chrome_switches.cc 
> >    M chrome/common/content_settings_types.h 
> >    M chrome/common/pref_names.h 
> >    M chrome/common/pref_names.cc 
> >    M chrome/test/base/testing_profile.h 
> >    M chrome/test/base/testing_profile.cc 
> >    M content/browser/download/download_manager_impl_unittest.cc 
> >    A content/browser/ssl/ssl_blocking_proceed_decision_store.h 
> >    A content/browser/ssl/ssl_blocking_proceed_decision_store.cc 
> >    M content/browser/ssl/ssl_host_state.h 
> >    M content/browser/ssl/ssl_host_state.cc 
> >    D content/browser/ssl/ssl_host_state_unittest.cc 
> >    M content/browser/ssl/ssl_policy.cc 
> >    M content/browser/ssl/ssl_policy_backend.h 
> >    M content/browser/ssl/ssl_policy_backend.cc 
> >    M content/content_browser.gypi 
> >    M content/content_tests.gypi 
> >    M content/public/browser/browser_context.h 
> >    A content/public/browser/ssl_host_state_decisions.h 
> >    M content/public/test/test_browser_context.h 
> >    M content/public/test/test_browser_context.cc 
> >
> >
> >
> 
> To unsubscribe from this group and stop receiving emails from it, send an
email
> to mailto:chromium-reviews+unsubscribe@chromium.org.

The experiment has finished, so the flag was removed. Chrome now remembers
certificates for 1 week after an interstitial is clicked-through.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06